#!/bin/bash

# Define the input file
curl 'http://localhost:3000/signalk/v1/api/' | sed -e 's/[{}]/''/g' | awk -v k="text" '{n=split($0,a,","); for (i=1; i<=n; i++) print a[i]}' | grep value | grep -v descri |grep -v set | head -n 3 > info.log
sed -i 's/"value"://g' info.log 

INFILE=./info.log
i=0 
wynik=0
wynik2=0

# Read the input file line by line using a for loop
IFS=$'\n' # set the Internal Field Separator to newline
for LINE in $(cat "$INFILE")
do
   i=$(($i+1))
   if [[ $i -eq 1 ]] 
	then
	wynik=$(echo "$LINE*100" | bc)
	wynik2=$(printf "%.2f" "$wynik") 
	echo "Humi: "$wynik2"%"
   fi
   if [[ $i -eq 2 ]]
	then
	wynik=$(echo "${LINE} - 273.15" | bc)
	wynik2=$(printf "%.2f" $wynik) 
	echo "Temp: "$wynik2"C"
   fi
   if [[ $i -eq 3 ]]
	then
	wynik=$(($LINE/100))
	echo "Pres: "$wynik"hPa"
   fi	 
done
